DASEL-COMPLETION-ZSH(1)

NAME

dasel-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS

dasel completion zsh [flags]

DESCRIPTION

Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:
    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:
    source <(dasel completion zsh)

To load completions for every new session, execute once:

  Linux:
    dasel completion zsh > "${fpath[1]}/_dasel"

  macOS:
    dasel completion zsh > $(brew --prefix)/share/zsh/site-functions/_dasel

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

SEE ALSO

dasel-completion(1)